# Draw
TKDraw
DBRep

# DBRep_ListIteratorOfListOfEdge Class Reference

`#include <DBRep_ListIteratorOfListOfEdge.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBRep_ListIteratorOfListOfEdge ()
Standard_EXPORT | DBRep_ListIteratorOfListOfEdge (const DBRep_ListOfEdge &L)
Standard_EXPORT void | Initialize (const DBRep_ListOfEdge &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_DBRep_Edge & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT DBRep_ListIteratorOfListOfEdge::DBRep_ListIteratorOfListOfEdge | ( |  | ) |

Standard_EXPORT DBRep_ListIteratorOfListOfEdge::DBRep_ListIteratorOfListOfEdge | ( | const DBRep_ListOfEdge & | L | ) |

## Member Function Documentation

Standard_EXPORT void DBRep_ListIteratorOfListOfEdge::Initialize | ( | const DBRep_ListOfEdge & | L | ) |

Standard_Boolean DBRep_ListIteratorOfListOfEdge::More | ( |  | ) | const

Standard_EXPORT void DBRep_ListIteratorOfListOfEdge::Next | ( |  | ) |

void DBRep_ListIteratorOfListOfEdge::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBRep_ListIteratorOfListOfEdge::operator new | ( | size_t | size | ) | `[inline]`

void* DBRep_ListIteratorOfListOfEdge::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_DBRep_Edge& DBRep_ListIteratorOfListOfEdge::Value | ( |  | ) | const

## Field Documentation

Standard_Address DBRep_ListIteratorOfListOfEdge::current `[private]`

Standard_Address DBRep_ListIteratorOfListOfEdge::previous `[private]`

The documentation for this class was generated from the following file:

- DBRep_ListIteratorOfListOfEdge.hxx